Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.conn
Interface ClientAsyncConnectionManager

All Superinterfaces:
  org.apache.http.nio.reactor.IOReactor

All Known Implementing Classes:
  PoolingClientAsyncConnectionManager

Deprecated.

    @Deprecated
    public interface ClientAsyncConnectionManager

extends org.apache.http.nio.reactor.IOReactor

Method Summary
`AsyncSchemeRegistry` | `getSchemeRegistry()` Deprecated.
`Future<ManagedClientAsyncConnection>` | `leaseConnection(org.apache.http.conn.routing.HttpRoute route, Object state, long connectTimeout, TimeUnit timeUnit, org.apache.http.concurrent.FutureCallback<ManagedClientAsyncConnection> callback)` Deprecated.
`void` | `releaseConnection(ManagedClientAsyncConnection session, long validDuration, TimeUnit timeUnit)` Deprecated.

Methods inherited from interface org.apache.http.nio.reactor.IOReactor
`execute, getStatus, shutdown, shutdown`

Method Detail

### getSchemeRegistry

    AsyncSchemeRegistry getSchemeRegistry()

  Deprecated.

### leaseConnection

    Future<ManagedClientAsyncConnection> leaseConnection(org.apache.http.conn.routing.HttpRoute route,
                                                         Object state,
                                                         long connectTimeout,
                                                         TimeUnit timeUnit,
                                                         org.apache.http.concurrent.FutureCallback<ManagedClientAsyncConnection> callback)

  Deprecated.

### releaseConnection

    void releaseConnection(ManagedClientAsyncConnection session,
                           long validDuration,
                           TimeUnit timeUnit)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.